List accounts

Lists the cloud-integration accounts connected for the given provider.

GET /v1/o11y/cloud_integrations/{cloud_provider}/accounts

Addresshttps://api.hanzo.ai/v1/o11y/cloud_integrations/{cloud_provider}/accounts
MethodGET
OperationListAccounts
AuthAuthorization: Bearer $HANZO_API_KEY

Lists the cloud-integration accounts connected for the given provider. Admin gate.

Request

1 field.

FieldInTypeRequiredDescription
cloud_providerpathstringyes

Response

StatusBodyMeaning
200o11y.O11yAccountsOutok
202Approvalheld for approval
defaultproblem-detailsrefused

200 body — 24 fields.

FieldInTypeAlwaysDescription
databodyo11y.GettableAccounts—
data.accountsbodyo11y.Account[]—
data.accounts[].agentReportbodyo11y.AgentReport—
data.accounts[].agentReport.databodyobject—
data.accounts[].agentReport.data.*bodyany—
data.accounts[].agentReport.timestampMillisbodyinteger (int64)—
data.accounts[].configbodyo11y.AccountConfig—
data.accounts[].config.awsbodyo11y.AWSAccountConfig—
data.accounts[].config.aws.regionsbodystring[]—
data.accounts[].config.azurebodyo11y.AzureAccountConfig—
data.accounts[].config.azure.deploymentRegionbodystring—
data.accounts[].config.azure.resourceGroupsbodystring[]—
data.accounts[].config.gcpbodyo11y.GCPAccountConfig—
data.accounts[].config.gcp.deploymentProjectIdbodystring—Project ID where central pub/sub for logs exist
data.accounts[].config.gcp.deploymentRegionbodystring—Project ID where otel collector will be deployed
data.accounts[].config.gcp.projectIdsbodystring[]—List of project IDs to monitor
data.accounts[].createdAtbodystring (date-time)—
data.accounts[].idbodyany—
data.accounts[].orgIdbodyany—
data.accounts[].providerbodyany—
data.accounts[].providerAccountIdbodystring—
data.accounts[].removedAtbodystring (date-time)—
data.accounts[].updatedAtbodystring (date-time)—
statusbodystring—Status is "success".

Failure carries the platform error shape — see Errors.

Examples

hanzo o11y cloud_integrations accounts list <cloud_provider>
import { Configuration, O11yApi } from 'hanzoai';

const api = new O11yApi(new Configuration({ accessToken: process.env.HANZO_API_KEY }));
const { data } = await api.listAccounts({ cloud_provider: 'cloud_provider' });
from hanzoai.cloud import ApiClient, Configuration
from hanzoai.cloud.api import O11yApi

client = ApiClient(Configuration(access_token=os.environ["HANZO_API_KEY"]))
result = O11yApi(client).list_accounts(cloud_provider='cloud_provider')
cfg := hanzoai.NewConfiguration()
cfg.AddDefaultHeader("Authorization", "Bearer "+os.Getenv("HANZO_API_KEY"))
client := hanzoai.NewAPIClient(cfg)

resp, _, err := client.O11yAPI.ListAccounts(context.Background()).Execute()
if err != nil {
	return err
}
use hanzo_client::apis::{configuration::Configuration, o11y_api};

let mut cfg = Configuration::new();
cfg.bearer_access_token = std::env::var("HANZO_API_KEY").ok();

let result = o11y_api::list_accounts(&cfg, Default::default()).await?;
import ai.hanzo.cloud.ApiClient;
import ai.hanzo.cloud.api.O11yApi;

ApiClient client = new ApiClient();
client.setBearerToken(System.getenv("HANZO_API_KEY"));

var result = new O11yApi(client).listAccounts();
curl https://api.hanzo.ai/v1/o11y/cloud_integrations/<cloud_provider>/accounts \
  -H "Authorization: Bearer $HANZO_API_KEY"

Tool o11y, op ListAccounts — POST the JSON-RPC envelope to https://api.hanzo.ai/v1/mcp.

curl -X POST https://api.hanzo.ai/v1/mcp \
  -H "Authorization: Bearer $HANZO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
       "jsonrpc": "2.0",
       "id": 1,
       "method": "tools/call",
       "params": {
         "name": "o11y",
         "arguments": {
           "op": "ListAccounts",
           "input": {
             "cloud_provider": "<cloud_provider>"
           }
         }
       }
     }'

O11y API · All Hanzo APIs · Interactive reference

Was this page useful?